petsc-3.7.7 2017-09-25
Report Typos and Errors

# VecCUSPRestoreCUDAArrayRead

Restore a device vector previously acquired with VecCUSPGetCUDAArrayRead()

### Synopsis

    PETSC_EXTERN PetscErrorCode VecCUSPRestoreCUDAArrayRead(Vec v, PetscScalar **a)

If the data on the host side was previously up to date it will remain so, i.e. data on both the device and the host is up to date. Accessing data on the host side e.g. with VecGetArray() does not incur a device to host data transfer.

### Input Parameter

| v | - the vector

| a | - the CUDA device pointer. This pointer is invalid after VecCUSPRestoreCUDAArrayRead() returns.

### Fortran note

This function is not currently available from Fortran.

Fortran note: This function is not currently available from Fortran.

### See Also

VecCUSPGetCUDAArrayRead(), VecCUSPGetCUDAArrayWrite(), VecCUSPGetArrayReadWrite(), VecCUSPGetArrayRead(), VecCUSPGetArrayWrite(), VecGetArray(), VecRestoreArray(), VecGetArrayRead()

Level:advanced
Location:src/vec/vec/impls/seq/seqcusp/veccusp2.cu
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages